<?php

use Illuminate\Support\Facades\Route;
use Smsto\Hubspot\Http\Controllers\Controller;
use Smsto\Hubspot\Http\Controllers\Web\CardsController;
use Smsto\Hubspot\Http\Controllers\Web\SettingsController;

Route::get('/install', [SettingsController::class, 'install']);

Route::group(['prefix' => 'hubspot', 'middleware' => 'web'], function () {

    Route::get('/', function () {
        return view('hubspot::welcome');
    })->name('hubspot.web.home');

    Route::get('/error', [Controller::class, 'error'])->name('hubspot.web.error');

    Route::prefix('/settings')->middleware('hubspot')->group(function () {
        Route::get('/create', [SettingsController::class, 'create'])->name('hubspot.web.settings.create');
        Route::post('/store', [SettingsController::class, 'store'])->name('hubspot.web.settings.store');
        Route::get('/completed/{settings}', [SettingsController::class, 'completed'])->name('hubspot.web.settings.completed');
        Route::get('/edit/{settings}', [SettingsController::class, 'edit'])->name('hubspot.web.settings.edit');
        Route::post('/update/{settings}', [SettingsController::class, 'update'])->name('hubspot.web.settings.update');
    });

    Route::prefix('/cards')->middleware('hubspot')->group(function () {
        Route::get('/gui/{settings}', [CardsController::class, 'gui'])->name('hubspot.web.cards.gui');
    });
});
